# Set up minimal (base) Python environment with Conda
source `dirname $0`/util.sh

#printf "@@@@ CURRENT USER: %s\n" `whoami`
#printf "@@@@ CURRENT PATH: $PATH\n"

condaloc=`which conda`

cprintln g "Install IDAES source code"
cprintln a "  conda location = $condaloc"
# Create Anaconda env
cprintln a "  create env"
# Activate the new env for rest of script
cprintln a "  activate env"
pythonloc=`which python`
cprintln a "  env python=$pythonloc"
# Add some packages that conda is better at
conda install pandas numpy
# Install this package
pip install --upgrade pip
cprintln a "  install requirements"
pip install -r requirements.txt
cprintln a "  install source"
python setup.py install
# Show Pyomo version
pymver=`pyomo --version`
cprintln a "  Pyomo version=$pymver"
