# Install Couenne
source shared/util.sh

# Set C language
export LANG=C.UTF-8
export LC_ALL=C.UTF-8
# This is not very secure, but someone needs to complain to couenne about their
# certificate.
set -e
cd /usr/local/src

cprintln g "Check out Couenne from SVN"
svn co -q \
   https://projects.coin-or.org/svn/Couenne/stable/0.5 couenne \
   --non-interactive --trust-server-cert

cprintln g "Get supporting libraries"
cprintln a "  BLAS"
cd couenne/ThirdParty/Blas
./get.Blas
cprintln a "  LAPACK"
cd ../Lapack
./get.Lapack
cprintln a "  ASL"
cd ../ASL
./get.ASL
cprintln a "  MUMPS"
cd ../Mumps
./get.Mumps
#cd ../Metis && ./get.Metis

cprintln g "Build and install Couenne"
cd ../../
mkdir -p build
cd build
cprintln a "  configure"
../configure -C
cprintln a "  make"
make -j4
cprintln a "  make install"
make install
